import request from '@/utils/system/request'

// 新增渠道类型
export function ditchAddOne(data) {
    return request({
        url: '/agent-service/ditch/addOne',
        method: 'post',
        data
    })
}

// 删除渠道类型
export function ditchDeleteOne(params) {
    return request({
        url: '/agent-service/ditch/deleteOne',
        method: 'get',
        params
    })
}

// 获取渠道类型列表
export function ditchList(data) {
    return request({
        url: '/agent-service/ditch/list',
        method: 'post',
        data
    })
}

// 修改渠道类型
export function ditchUpdateOne(data) {
    return request({
        url: '/agent-service/ditch/updateOne',
        method: 'post',
        data
    })
}

// 新增渠道所属用户
export function promoterUserAddOne(data) {
    return request({
        url: '/agent-service/promoterUser/addOne',
        method: 'post',
        data
    })
}

// 分配推广人
export function promoterUserAssignment(data) {
    return request({
        url: '/agent-service/promoterUser/assignment',
        method: 'post',
        data
    })
}

//取消分配推广人
export function promoterUserAssignmentDelete(data) {
    return request({
        url: '/agent-service/promoterUser/assignment/delete',
        method: 'post',
        data
    })
}

// 删除渠道所属用户
export function promoterUserDeleteOne(params) {
    return request({
        url: '/agent-service/promoterUser/deleteOne',
        method: 'get',
        params
    })
}

// 查询渠道所属用户列表
export function promoterUserQueryList(data) {
    return request({
        url: '/agent-service/promoterUser/queryList',
        method: 'post',
        data
    })
}

// 修改渠道所属用户
export function promoterUserUpdateOne(data) {
    return request({
        url: '/agent-service/promoterUser/updateOne',
        method: 'post',
        data
    })
}



